package com.zd.laboratory.domain.vo;

import com.zd.laboratory.domain.LabCheckRecordDetails;
import com.zd.laboratory.domain.LabWhiteJoinSublist;
import com.zd.laboratory.domain.LabWhitelist;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author: liujh
 * @Date: 2022/01/28/15:38
 * @Description:
 */
public class LabWhitelistVO extends LabWhitelist {



    @ApiModelProperty("白名单集合")
    private List<LabWhitelist> labWhitelist;

    public List<LabWhitelist> getLabWhitelist() {
        return labWhitelist;
    }

    public void setLabWhitelist(List<LabWhitelist> labWhitelist) {
        this.labWhitelist = labWhitelist;
    }

    @ApiModelProperty("白名单关联的实验室id")
    private List<LabWhiteJoinSublist> labWhiteJoinSubList = new ArrayList<>();

    public List <LabWhiteJoinSublist> getLabWhiteJoinSubList() {
        return labWhiteJoinSubList;
    }

    public void setLabWhiteJoinSubList(List <LabWhiteJoinSublist> labWhiteJoinSubList) {
        this.labWhiteJoinSubList = labWhiteJoinSubList;
    }

    @ApiModelProperty("实验室id")
    private Long subId;

    public Long getSubId() {
        return subId;
    }

    public void setSubId(Long subId) {
        this.subId = subId;
    }
}
